Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.registry.entries
Class ProducerEntry

    java.lang.Object
      com.bea.wsrp.registry.entries.BaseEntry
          com.bea.wsrp.registry.entries.ProducerEntry

All Implemented Interfaces
  Serializable

    public class ProducerEntry

extends BaseEntry

Producer entry

See Also
  Serialized Form

Constructor Summary
`ProducerEntry(String name)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getWsdlUrl()` Returns the WSRP WSDL URL of the producer.
`void` | `setWsdlUrl(String wsdlUrl)` Sets the WSDL URL for the producer.
`String` | `toString()`

Methods inherited from class com.bea.wsrp.registry.entries.BaseEntry
`addKeyword, addKeywords, getBusinessKey, getDescription, getKeywords, getName, getServiceKey, getTitle, setBusinessKey, setDescription, setKeywords, setServiceKey, setTitle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProducerEntry

    public ProducerEntry(String name)

Method Detail

### getWsdlUrl

    public String getWsdlUrl()

  Returns the WSRP WSDL URL of the producer.

  Returns
    WSDL URL

### setWsdlUrl

    public void setWsdlUrl(String wsdlUrl)

  Sets the WSDL URL for the producer.

  Parameters
    `wsdlUrl` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `BaseEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.